if (!defined &_SYS_MOUNT_H_) {
    eval 'sub _SYS_MOUNT_H_ {1;}';
    if (!defined &KERNEL) {
	require 'sys/ucred.ph';
    }
    require 'sys/queue.ph';
    eval 'sub MAXFIDSZ {16;}';
    eval 'sub MNAMELEN {90;}';
    eval 'sub MOUNT_NONE {0;}';
    eval 'sub MOUNT_UFS {1;}';
    eval 'sub MOUNT_NFS {2;}';
    eval 'sub MOUNT_MFS {3;}';
    eval 'sub MOUNT_MSDOS {4;}';
    eval 'sub MOUNT_LFS {5;}';
    eval 'sub MOUNT_LOFS {6;}';
    eval 'sub MOUNT_FDESC {7;}';
    eval 'sub MOUNT_PORTAL {8;}';
    eval 'sub MOUNT_NULL {9;}';
    eval 'sub MOUNT_UMAP {10;}';
    eval 'sub MOUNT_KERNFS {11;}';
    eval 'sub MOUNT_PROCFS {12;}';
    eval 'sub MOUNT_AFS {13;}';
    eval 'sub MOUNT_CD9660 {14;}';
    eval 'sub MOUNT_UNION {15;}';
    eval 'sub MOUNT_DEVFS {16;}';
    eval 'sub MOUNT_MAXTYPE {16;}';
    eval 'sub INITMOUNTNAMES {{ "none", "ufs", "nfs", "mfs", "msdos", "lfs", "lofs", "fdesc", "portal", "null", "umap", "kernfs", "procfs", "afs", "cd9660", "union", "devfs", 0, };}';
    eval 'sub MNT_RDONLY {0x00000001;}';
    eval 'sub MNT_SYNCHRONOUS {0x00000002;}';
    eval 'sub MNT_NOEXEC {0x00000004;}';
    eval 'sub MNT_NOSUID {0x00000008;}';
    eval 'sub MNT_NODEV {0x00000010;}';
    eval 'sub MNT_UNION {0x00000020;}';
    eval 'sub MNT_ASYNC {0x00000040;}';
    eval 'sub MNT_EXRDONLY {0x00000080;}';
    eval 'sub MNT_EXPORTED {0x00000100;}';
    eval 'sub MNT_DEFEXPORTED {0x00000200;}';
    eval 'sub MNT_EXPORTANON {0x00000400;}';
    eval 'sub MNT_EXKERB {0x00000800;}';
    eval 'sub MNT_LOCAL {0x00001000;}';
    eval 'sub MNT_QUOTA {0x00002000;}';
    eval 'sub MNT_ROOTFS {0x00004000;}';
    eval 'sub MNT_USER {0x00008000;}';
    eval 'sub MNT_VISFLAGMASK {0x0000ffff;}';
    eval 'sub MNT_UPDATE {0x00010000;}';
    eval 'sub MNT_DELEXPORT {0x00020000;}';
    eval 'sub MNT_RELOAD {0x00040000;}';
    eval 'sub MNT_FORCE {0x00080000;}';
    eval 'sub MNT_MLOCK {0x00100000;}';
    eval 'sub MNT_MWAIT {0x00200000;}';
    eval 'sub MNT_MPBUSY {0x00400000;}';
    eval 'sub MNT_MPWANT {0x00800000;}';
    eval 'sub MNT_UNMOUNT {0x01000000;}';
    eval 'sub MNT_WANTRDWR {0x02000000;}';
    eval 'sub VFS_MAXNAMELEN {32;}';
    eval 'sub VFCF_STATIC {1;}';
    eval 'sub VFCF_NETWORK {2;}';
    eval 'sub VFCF_READONLY {4;}';
    eval 'sub VFCF_SYNTHETIC {8;}';
    eval 'sub VFCF_LOOPBACK {16;}';
    if (defined &KERNEL) {
	if (defined &__STDC__) {
	}
	eval 'sub VFS_MOUNT {
	    local($MP, $PATH, $DATA, $NDP, $P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_mount && &vfs_mount)($MP, $PATH, $DATA, $NDP, $P)";
	}';
	eval 'sub VFS_START {
	    local($MP, $FLAGS, $P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_start && &vfs_start)($MP, $FLAGS, $P)";
	}';
	eval 'sub VFS_UNMOUNT {
	    local($MP, $FORCE, $P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_unmount && &vfs_unmount)($MP, $FORCE, $P)";
	}';
	eval 'sub VFS_ROOT {
	    local($MP, $VPP) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_root && &vfs_root)($MP, $VPP)";
	}';
	eval 'sub VFS_QUOTACTL {
	    local($MP,$C,$U,$A,$P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_quotactl && &vfs_quotactl)($MP, $C, $U, $A, $P)";
	}';
	eval 'sub VFS_STATFS {
	    local($MP, $SBP, $P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_statfs && &vfs_statfs)($MP, $SBP, $P)";
	}';
	eval 'sub VFS_SYNC {
	    local($MP, $WAIT, $C, $P) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_sync && &vfs_sync)($MP, $WAIT, $C, $P)";
	}';
	eval 'sub VFS_VGET {
	    local($MP, $INO, $VPP) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_vget && &vfs_vget)($MP, $INO, $VPP)";
	}';
	eval 'sub VFS_FHTOVP {
	    local($MP, $FIDP, $NAM, $VPP, $EXFLG, $CRED) = @_;
	    eval "(*($MP)->defined &mnt_op && &mnt_op->defined &vfs_fhtovp && &vfs_fhtovp)($MP, $FIDP, $NAM, $VPP, $EXFLG, $CRED)";
	}';
	eval 'sub VFS_VPTOFH {
	    local($VP, $FIDP) = @_;
	    eval "(*($VP)->defined &v_mount && &v_mount->defined &mnt_op && &mnt_op->defined &vfs_vptofh && &vfs_vptofh)($VP, $FIDP)";
	}';
	if (defined &VFS_LKM) {
	    require 'sys/conf.ph';
	    require 'sys/exec.ph';
	    require 'sys/sysent.ph';
	    require 'sys/lkm.ph';
	    eval 'sub VFS_SET {
	        local($vfsops, $fsname, $index, $flags) = @_;
	        eval "defined &static && &static struct vfsconf defined &_fs_vfsconf && &_fs_vfsconf = { &$vfsops, #$fsname, $index, 0, $flags }; defined &extern && &extern struct linker_set defined &MODVNOPS && &MODVNOPS;  &MOD_VFS(#$fsname,$index,&defined &MODVNOPS && &MODVNOPS,&defined &_fs_vfsconf && &_fs_vfsconf); int $fsname ##  &_mod(struct lkm_table *defined &lkmtp && &lkmtp, int defined &cmd && &cmd, int defined &ver && &ver) {  &DISPATCH(defined &lkmtp && &lkmtp, defined &cmd && &cmd, defined &ver && &ver, defined &nosys && &nosys, defined &nosys && &nosys, defined &nosys && &nosys); }";
	    }';
	}
	else {
	    eval 'sub VFS_SET {
	        local($vfsops, $fsname, $index, $flags) = @_;
	        eval "defined &static && &static struct vfsconf defined &_fs_vfsconf && &_fs_vfsconf = { &$vfsops, #$fsname, $index, 0, $flags | defined &VFCF_STATIC && &VFCF_STATIC };  &DATA_SET(defined &vfs_set && &vfs_set,defined &_fs_vfsconf && &_fs_vfsconf)";
	    }';
	}
    }
    eval 'sub MNT_WAIT {1;}';
    eval 'sub MNT_NOWAIT {2;}';
    if (defined &KERNEL) {
	require 'net/radix.ph';
	require 'sys/socket.ph';
    }
    if (defined &MFS) {
    }
    if (defined &MSDOSFS) {
    }
    if (defined &CD9660) {
	eval 'sub ISOFSMNT_NORRIP {0x00000001;}';
	eval 'sub ISOFSMNT_GENS {0x00000002;}';
	eval 'sub ISOFSMNT_EXTATT {0x00000004;}';
    }
    if (defined &NFS) {
	eval 'sub NFSMNT_SOFT {0x00000001;}';
	eval 'sub NFSMNT_WSIZE {0x00000002;}';
	eval 'sub NFSMNT_RSIZE {0x00000004;}';
	eval 'sub NFSMNT_TIMEO {0x00000008;}';
	eval 'sub NFSMNT_RETRANS {0x00000010;}';
	eval 'sub NFSMNT_MAXGRPS {0x00000020;}';
	eval 'sub NFSMNT_INT {0x00000040;}';
	eval 'sub NFSMNT_NOCONN {0x00000080;}';
	eval 'sub NFSMNT_NQNFS {0x00000100;}';
	eval 'sub NFSMNT_MYWRITE {0x00000200;}';
	eval 'sub NFSMNT_KERB {0x00000400;}';
	eval 'sub NFSMNT_DUMBTIMR {0x00000800;}';
	eval 'sub NFSMNT_RDIRALOOK {0x00001000;}';
	eval 'sub NFSMNT_LEASETERM {0x00002000;}';
	eval 'sub NFSMNT_READAHEAD {0x00004000;}';
	eval 'sub NFSMNT_DEADTHRESH {0x00008000;}';
	eval 'sub NFSMNT_NQLOOKLEASE {0x00010000;}';
	eval 'sub NFSMNT_RESVPORT {0x00020000;}';
	eval 'sub NFSMNT_INTERNAL {0xffe00000;}';
	eval 'sub NFSMNT_MNTD {0x00200000;}';
	eval 'sub NFSMNT_DISMINPROG {0x00400000;}';
	eval 'sub NFSMNT_DISMNT {0x00800000;}';
	eval 'sub NFSMNT_SNDLOCK {0x01000000;}';
	eval 'sub NFSMNT_WANTSND {0x02000000;}';
	eval 'sub NFSMNT_RCVLOCK {0x04000000;}';
	eval 'sub NFSMNT_WANTRCV {0x08000000;}';
	eval 'sub NFSMNT_WAITAUTH {0x10000000;}';
	eval 'sub NFSMNT_HASAUTH {0x20000000;}';
	eval 'sub NFSMNT_WANTAUTH {0x40000000;}';
	eval 'sub NFSMNT_AUTHERR {0x80000000;}';
    }
    if (defined &KERNEL) {
    }
    else {
	require 'sys/cdefs.ph';
    }
}
1;
