if (!defined &_SYS_PARAM_H_) {
    eval 'sub _SYS_PARAM_H_ {1;}';
    eval 'sub BSD {199306;}';
    eval 'sub BSD4_3 {1;}';
    eval 'sub BSD4_4 {1;}';
    if (!defined &NULL) {
	eval 'sub NULL {0;}';
    }
    if (!defined &LOCORE) {
	require 'sys/types.ph';
    }
    require 'sys/syslimits.ph';
    eval 'sub MAXCOMLEN {16;}';
    eval 'sub MAXINTERP {32;}';
    eval 'sub MAXLOGNAME {12;}';
    eval 'sub MAXUPRC {defined &CHILD_MAX && &CHILD_MAX;}';
    eval 'sub NCARGS {defined &ARG_MAX && &ARG_MAX;}';
    eval 'sub NGROUPS {defined &NGROUPS_MAX && &NGROUPS_MAX;}';
    eval 'sub NOFILE {defined &OPEN_MAX && &OPEN_MAX;}';
    eval 'sub NOGROUP {65535;}';
    eval 'sub MAXHOSTNAMELEN {256;}';
    if (defined &KERNEL) {
	require 'sys/cdefs.ph';
	require 'sys/errno.ph';
	require 'sys/time.ph';
	require 'sys/resource.ph';
	require 'sys/ucred.ph';
	require 'sys/uio.ph';
	require 'sys/rtprio.ph';
    }
    require 'sys/signal.ph';
    require 'machine/param.ph';
    require 'machine/limits.ph';
    eval 'sub PSWP {0;}';
    eval 'sub PVM {4;}';
    eval 'sub PINOD {8;}';
    eval 'sub PRIBIO {16;}';
    eval 'sub PVFS {20;}';
    eval 'sub PZERO {22;}';
    eval 'sub PSOCK {24;}';
    eval 'sub PWAIT {32;}';
    eval 'sub PLOCK {36;}';
    eval 'sub PPAUSE {40;}';
    eval 'sub PUSER {50;}';
    eval 'sub MAXPRI {127;}';
    eval 'sub PRIMASK {0x0ff;}';
    eval 'sub PCATCH {0x100;}';
    eval 'sub NZERO {0;}';
    eval 'sub NBPW {$sizeof{\'int\'};}';
    eval 'sub CMASK {022;}';
    eval 'sub NODEV {(defined &dev_t && &dev_t)(-1);}';
    eval 'sub CLBYTES {(defined &CLSIZE && &CLSIZE*defined &NBPG && &NBPG);}';
    eval 'sub CLOFSET {(defined &CLSIZE && &CLSIZE*defined &NBPG && &NBPG-1);}';
    eval 'sub claligned {
        local($x) = @_;
        eval "(((($x))&defined &CLOFSET && &CLOFSET)==0)";
    }';
    eval 'sub CLOFF {defined &CLOFSET && &CLOFSET;}';
    eval 'sub CLSHIFT {(defined &PGSHIFT && &PGSHIFT+defined &CLSIZELOG2 && &CLSIZELOG2);}';
    if ( defined &CLSIZE && &CLSIZE==1) {
	eval 'sub clbase {
	    local($i) = @_;
	    eval "($i)";
	}';
	eval 'sub clrnd {
	    local($i) = @_;
	    eval "($i)";
	}';
    }
    else {
	eval 'sub clbase {
	    local($i) = @_;
	    eval "(($i) &~ (defined &CLSIZE && &CLSIZE-1))";
	}';
	eval 'sub clrnd {
	    local($i) = @_;
	    eval "((($i) + (defined &CLSIZE && &CLSIZE-1)) &~ (defined &CLSIZE && &CLSIZE-1))";
	}';
    }
    eval 'sub CBLOCK {128;}';
    eval 'sub CBQSIZE {(defined &CBLOCK && &CBLOCK/defined &NBBY && &NBBY);}';
    eval 'sub CBSIZE {(defined &CBLOCK && &CBLOCK - $sizeof{\'struct cblock\' *} - defined &CBQSIZE && &CBQSIZE);}';
    eval 'sub CROUND {(defined &CBLOCK && &CBLOCK - 1);}';
    eval 'sub MAXBSIZE {16384;}';
    eval 'sub MAXFRAG {8;}';
    eval 'sub MAXPATHLEN {defined &PATH_MAX && &PATH_MAX;}';
    eval 'sub MAXSYMLINKS {32;}';
    eval 'sub setbit {
        local($a,$i) = @_;
        eval "(($a)[($i)/defined &NBBY && &NBBY] |= 1<<(($i)%defined &NBBY && &NBBY))";
    }';
    eval 'sub clrbit {
        local($a,$i) = @_;
        eval "(($a)[($i)/defined &NBBY && &NBBY] &= ~(1<<(($i)%defined &NBBY && &NBBY)))";
    }';
    eval 'sub isset {
        local($a,$i) = @_;
        eval "(($a)[($i)/defined &NBBY && &NBBY] & (1<<(($i)%defined &NBBY && &NBBY)))";
    }';
    eval 'sub isclr {
        local($a,$i) = @_;
        eval "((($a)[($i)/defined &NBBY && &NBBY] & (1<<(($i)%defined &NBBY && &NBBY))) == 0)";
    }';
    if (!defined &howmany) {
	eval 'sub howmany {
	    local($x, $y) = @_;
	    eval "((($x)+(($y)-1))/($y))";
	}';
    }
    eval 'sub rounddown {
        local($x, $y) = @_;
        eval "((($x)/($y))*($y))";
    }';
    eval 'sub roundup {
        local($x, $y) = @_;
        eval "(((($x)+(($y)-1))/($y))*($y))";
    }';
    eval 'sub powerof2 {
        local($x) = @_;
        eval "(((($x)-1)&($x))==0)";
    }';
    if (!defined &KERNEL) {
	eval 'sub MIN {
	    local($a,$b) = @_;
	    eval "((($a)<($b))?($a):($b))";
	}';
	eval 'sub MAX {
	    local($a,$b) = @_;
	    eval "((($a)>($b))?($a):($b))";
	}';
    }
    eval 'sub MINBUCKET {4;}';
    eval 'sub MAXALLOCSAVE {(2 * defined &CLBYTES && &CLBYTES);}';
    eval 'sub FSHIFT {11;}';
    eval 'sub FSCALE {(1<<defined &FSHIFT && &FSHIFT);}';
}
1;
