if (!defined &_SYS_SOCKETVAR_H_) {
    eval 'sub _SYS_SOCKETVAR_H_ {1;}';
    require 'sys/stat.ph';
    require 'sys/filedesc.ph';
    require 'sys/select.ph';
    eval 'sub SB_MAX {(256*1024);}';
    eval 'sub SB_LOCK {0x01;}';
    eval 'sub SB_WANT {0x02;}';
    eval 'sub SB_WAIT {0x04;}';
    eval 'sub SB_SEL {0x08;}';
    eval 'sub SB_ASYNC {0x10;}';
    eval 'sub SB_NOTIFY {(defined &SB_WAIT && &SB_WAIT|defined &SB_SEL && &SB_SEL|defined &SB_ASYNC && &SB_ASYNC);}';
    eval 'sub SB_NOINTR {0x40;}';
    eval 'sub SS_NOFDREF {0x001;}';
    eval 'sub SS_ISCONNECTED {0x002;}';
    eval 'sub SS_ISCONNECTING {0x004;}';
    eval 'sub SS_ISDISCONNECTING {0x008;}';
    eval 'sub SS_CANTSENDMORE {0x010;}';
    eval 'sub SS_CANTRCVMORE {0x020;}';
    eval 'sub SS_RCVATMARK {0x040;}';
    eval 'sub SS_PRIV {0x080;}';
    eval 'sub SS_NBIO {0x100;}';
    eval 'sub SS_ASYNC {0x200;}';
    eval 'sub SS_ISCONFIRMING {0x400;}';
    eval 'sub sbspace {
        local($sb) = @_;
        eval "(  &imin((($sb)->defined &sb_hiwat && &sb_hiwat - ($sb)->defined &sb_cc && &sb_cc), (($sb)->defined &sb_mbmax && &sb_mbmax - ($sb)->defined &sb_mbcnt && &sb_mbcnt)))";
    }';
    eval 'sub sosendallatonce {
        local($so) = @_;
        eval "(($so)->defined &so_proto && &so_proto->defined &pr_flags && &pr_flags & defined &PR_ATOMIC && &PR_ATOMIC)";
    }';
    eval 'sub soreadable {
        local($so) = @_;
        eval "(($so)->defined &so_rcv && &so_rcv.defined &sb_cc && &sb_cc >= ($so)->defined &so_rcv && &so_rcv.defined &sb_lowat && &sb_lowat || (($so)->defined &so_state && &so_state & defined &SS_CANTRCVMORE && &SS_CANTRCVMORE) || ($so)->defined &so_qlen && &so_qlen || ($so)->defined &so_error && &so_error)";
    }';
    eval 'sub sowriteable {
        local($so) = @_;
        eval "(( &sbspace(&($so)->defined &so_snd && &so_snd) >= ($so)->defined &so_snd && &so_snd.defined &sb_lowat && &sb_lowat && ((($so)->defined &so_state && &so_state&defined &SS_ISCONNECTED && &SS_ISCONNECTED) || (($so)->defined &so_proto && &so_proto->defined &pr_flags && &pr_flags&defined &PR_CONNREQUIRED && &PR_CONNREQUIRED)==0)) || (($so)->defined &so_state && &so_state & defined &SS_CANTSENDMORE && &SS_CANTSENDMORE) || ($so)->defined &so_error && &so_error)";
    }';
    eval 'sub sballoc {
        local($sb, $m) = @_;
        eval "{ ($sb)->defined &sb_cc && &sb_cc += ($m)->defined &m_len && &m_len; ($sb)->defined &sb_mbcnt && &sb_mbcnt += defined &MSIZE && &MSIZE; defined &if && &if (($m)->defined &m_flags && &m_flags & defined &M_EXT && &M_EXT) ($sb)->defined &sb_mbcnt && &sb_mbcnt += ($m)->defined &m_ext && &m_ext.defined &ext_size && &ext_size; }";
    }';
    eval 'sub sbfree {
        local($sb, $m) = @_;
        eval "{ ($sb)->defined &sb_cc && &sb_cc -= ($m)->defined &m_len && &m_len; ($sb)->defined &sb_mbcnt && &sb_mbcnt -= defined &MSIZE && &MSIZE; defined &if && &if (($m)->defined &m_flags && &m_flags & defined &M_EXT && &M_EXT) ($sb)->defined &sb_mbcnt && &sb_mbcnt -= ($m)->defined &m_ext && &m_ext.defined &ext_size && &ext_size; }";
    }';
    eval 'sub sblock {
        local($sb, $wf) = @_;
        eval "(($sb)->defined &sb_flags && &sb_flags & defined &SB_LOCK && &SB_LOCK ? ((($wf) == defined &M_WAITOK && &M_WAITOK) ?  &sb_lock($sb) : defined &EWOULDBLOCK && &EWOULDBLOCK) : (($sb)->defined &sb_flags && &sb_flags |= defined &SB_LOCK && &SB_LOCK), 0)";
    }';
    eval 'sub sbunlock {
        local($sb) = @_;
        eval "{ ($sb)->defined &sb_flags && &sb_flags &= ~defined &SB_LOCK && &SB_LOCK; defined &if && &if (($sb)->defined &sb_flags && &sb_flags & defined &SB_WANT && &SB_WANT) { ($sb)->defined &sb_flags && &sb_flags &= ~defined &SB_WANT && &SB_WANT;  &wakeup((defined &caddr_t && &caddr_t)&($sb)->defined &sb_flags && &sb_flags); } }";
    }';
    eval 'sub sorwakeup {
        local($so) = @_;
        eval "{  &sowakeup(($so), &($so)->defined &so_rcv && &so_rcv); defined &if && &if (($so)->defined &so_upcall && &so_upcall) (*(($so)->defined &so_upcall && &so_upcall))(($so), ($so)->defined &so_upcallarg && &so_upcallarg, defined &M_DONTWAIT && &M_DONTWAIT); }";
    }';
    eval 'sub sowwakeup {
        local($so) = @_;
        eval " &sowakeup(($so), &($so)->defined &so_snd && &so_snd)";
    }';
    if (defined &KERNEL) {
	eval 'sub sonewconn {
	    local($head, $connstatus) = @_;
	    eval " &sonewconn1(($head), ($connstatus))";
	}';
    }
}
1;
