if (!defined &_SYS_SYSCTL_H_) {
    eval 'sub _SYS_SYSCTL_H_ {1;}';
    if (!defined &KERNEL) {
	require 'sys/time.ph';
	require 'sys/ucred.ph';
	require 'sys/proc.ph';
	require 'vm/vm.ph';
    }
    eval 'sub CTL_MAXNAME {12;}';
    eval 'sub CTLTYPE_NODE {0x00000001;}';
    eval 'sub CTLTYPE_INT {0x00000002;}';
    eval 'sub CTLTYPE_STRING {0x00000004;}';
    eval 'sub CTLTYPE_QUAD {0x00000008;}';
    eval 'sub CTLTYPE_STRUCT {0x00000010;}';
    eval 'sub CTLTYPE_LIST {0x00000020;}';
    eval 'sub CTLTYPE_VOLATIL {0x00000040;}';
    eval 'sub CTL_UNSPEC {0;}';
    eval 'sub CTL_KERN {1;}';
    eval 'sub CTL_VM {2;}';
    eval 'sub CTL_FS {3;}';
    eval 'sub CTL_NET {4;}';
    eval 'sub CTL_DEBUG {5;}';
    eval 'sub CTL_HW {6;}';
    eval 'sub CTL_MACHDEP {7;}';
    eval 'sub CTL_USER {8;}';
    eval 'sub CTL_IPS {9;}';
    eval 'sub CTL_MAXID {10;}';
    eval 'sub CTL_NAMES {{ { 0, 0 }, { "kern", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "vm", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "fs", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "net", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "debug", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "hw", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "machdep", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "user", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "ips", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, };}';
    eval 'sub KERN_OSTYPE {1;}';
    eval 'sub KERN_OSRELEASE {2;}';
    eval 'sub KERN_OSREV {3;}';
    eval 'sub KERN_VERSION {4;}';
    eval 'sub KERN_MAXVNODES {5;}';
    eval 'sub KERN_MAXPROC {6;}';
    eval 'sub KERN_MAXFILES {7;}';
    eval 'sub KERN_ARGMAX {8;}';
    eval 'sub KERN_SECURELVL {9;}';
    eval 'sub KERN_HOSTNAME {10;}';
    eval 'sub KERN_HOSTID {11;}';
    eval 'sub KERN_CLOCKRATE {12;}';
    eval 'sub KERN_VNODE {13;}';
    eval 'sub KERN_PROC {14;}';
    eval 'sub KERN_FILE {15;}';
    eval 'sub KERN_PROF {16;}';
    eval 'sub KERN_POSIX1 {17;}';
    eval 'sub KERN_NGROUPS {18;}';
    eval 'sub KERN_JOB_CONTROL {19;}';
    eval 'sub KERN_SAVED_IDS {20;}';
    eval 'sub KERN_BOOTTIME {21;}';
    eval 'sub KERN_DOMAINNAME {22;}';
    eval 'sub KERN_UPDATEINTERVAL {23;}';
    eval 'sub KERN_OSRELDATE {24;}';
    eval 'sub KERN_NTP_PLL {25;}';
    eval 'sub KERN_BOOTFILE {26;}';
    eval 'sub KERN_MAXFILESPERPROC {27;}';
    eval 'sub KERN_MAXPROCPERUID {28;}';
    eval 'sub KERN_DUMPDEV {29;}';
    eval 'sub KERN_MAXID {30;}';
    eval 'sub CTL_KERN_NAMES {{ { 0, 0 }, { "ostype", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "osrelease", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "osrevision", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "version", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "maxvnodes", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "maxproc", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "maxfiles", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "argmax", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "securelevel", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "hostname", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "hostid", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "clockrate", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "vnode", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "proc", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "file", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "profiling", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "posix1version", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "ngroups", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "job_control", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "saved_ids", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "boottime", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "domainname", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "update", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "osreldate", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "ntp_pll", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, { "bootfile", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "maxfilesperproc", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "maxprocperuid", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "dumpdev", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, };}';
    eval 'sub FS_VFSCONF {0;}';
    eval 'sub FS_MAXID {1;}';
    eval 'sub CTL_FS_NAMES {{ { "vfsconf", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, };}';
    eval 'sub KERN_PROC_ALL {0;}';
    eval 'sub KERN_PROC_PID {1;}';
    eval 'sub KERN_PROC_PGRP {2;}';
    eval 'sub KERN_PROC_SESSION {3;}';
    eval 'sub KERN_PROC_TTY {4;}';
    eval 'sub KERN_PROC_UID {5;}';
    eval 'sub KERN_PROC_RUID {6;}';
    if (defined &sparc) {
    }
    else {
    }
    eval 'sub WMESGLEN {7;}';
    eval 'sub EPROC_CTTY {0x01;}';
    eval 'sub EPROC_SLEADER {0x02;}';
    eval 'sub HW_MACHINE {1;}';
    eval 'sub HW_MODEL {2;}';
    eval 'sub HW_NCPU {3;}';
    eval 'sub HW_BYTEORDER {4;}';
    eval 'sub HW_PHYSMEM {5;}';
    eval 'sub HW_USERMEM {6;}';
    eval 'sub HW_PAGESIZE {7;}';
    eval 'sub HW_DISKNAMES {8;}';
    eval 'sub HW_DISKSTATS {9;}';
    eval 'sub HW_FLOATINGPT {10;}';
    eval 'sub HW_DEVCONF {11;}';
    eval 'sub HW_MAXID {12;}';
    eval 'sub CTL_HW_NAMES {{ { 0, 0 }, { "machine", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "model", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "ncpu", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "byteorder", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "physmem", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "usermem", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "pagesize", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "disknames", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "diskstats", defined &CTLTYPE_STRUCT && &CTLTYPE_STRUCT }, { "floatingpoint", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "devconf", defined &CTLTYPE_NODE && &CTLTYPE_NODE }, };}';
    eval 'sub USER_CS_PATH {1;}';
    eval 'sub USER_BC_BASE_MAX {2;}';
    eval 'sub USER_BC_DIM_MAX {3;}';
    eval 'sub USER_BC_SCALE_MAX {4;}';
    eval 'sub USER_BC_STRING_MAX {5;}';
    eval 'sub USER_COLL_WEIGHTS_MAX {6;}';
    eval 'sub USER_EXPR_NEST_MAX {7;}';
    eval 'sub USER_LINE_MAX {8;}';
    eval 'sub USER_RE_DUP_MAX {9;}';
    eval 'sub USER_POSIX2_VERSION {10;}';
    eval 'sub USER_POSIX2_C_BIND {11;}';
    eval 'sub USER_POSIX2_C_DEV {12;}';
    eval 'sub USER_POSIX2_CHAR_TERM {13;}';
    eval 'sub USER_POSIX2_FORT_DEV {14;}';
    eval 'sub USER_POSIX2_FORT_RUN {15;}';
    eval 'sub USER_POSIX2_LOCALEDEF {16;}';
    eval 'sub USER_POSIX2_SW_DEV {17;}';
    eval 'sub USER_POSIX2_UPE {18;}';
    eval 'sub USER_STREAM_MAX {19;}';
    eval 'sub USER_TZNAME_MAX {20;}';
    eval 'sub USER_MAXID {21;}';
    eval 'sub CTL_USER_NAMES {{ { 0, 0 }, { "cs_path", defined &CTLTYPE_STRING && &CTLTYPE_STRING }, { "bc_base_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "bc_dim_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "bc_scale_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "bc_string_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "coll_weights_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "expr_nest_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "line_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "re_dup_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_version", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_c_bind", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_c_dev", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_char_term", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_fort_dev", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_fort_run", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_localedef", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_sw_dev", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "posix2_upe", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "stream_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, { "tzname_max", defined &CTLTYPE_INT && &CTLTYPE_INT }, };}';
    eval 'sub CTL_DEBUG_NAME {0;}';
    eval 'sub CTL_DEBUG_VALUE {1;}';
    eval 'sub CTL_DEBUG_MAXID {20;}';
    if (defined &KERNEL) {
	if ( defined( &DEBUG) || defined( &DIAGNOSTIC)) {
	}
    }
    else {
	require 'sys/cdefs.ph';
    }
}
1;
