if (!defined &_SYS_TYPES_H_) {
    eval 'sub _SYS_TYPES_H_ {1;}';
    require 'sys/cdefs.ph';
    require 'machine/endian.ph';
    if (!defined &_POSIX_SOURCE) {
    }
    if (!defined &KERNEL) {
    }
    if (!defined &_POSIX_SOURCE) {
	eval 'sub major {
	    local($x) = @_;
	    eval "(((($x) >> 8)&0xff))";
	}';
	eval 'sub minor {
	    local($x) = @_;
	    eval "((($x)&0xffff00ff))";
	}';
	eval 'sub makedev {
	    local($x,$y) = @_;
	    eval "((defined &dev_t && &dev_t)((($x)<<8) | ($y)))";
	}';
    }
    require 'machine/ansi.ph';
    require 'machine/types.ph';
    if (defined &_BSD_CLOCK_T_) {
    }
    if (defined &_BSD_SIZE_T_) {
    }
    if (defined &_BSD_SSIZE_T_) {
    }
    if (defined &_BSD_TIME_T_) {
    }
    if (!defined &_POSIX_SOURCE) {
	eval 'sub NBBY {8;}';
	if (!defined &FD_SETSIZE) {
	    eval 'sub FD_SETSIZE {256;}';
	}
	eval 'sub NFDBITS {($sizeof{defined &fd_mask && &fd_mask} * defined &NBBY && &NBBY);}';
	if (!defined &howmany) {
	    eval 'sub howmany {
	        local($x, $y) = @_;
	        eval "((($x)+(($y)-1))/($y))";
	    }';
	}
	eval 'sub FD_SET {
	    local($n, $p) = @_;
	    eval "(($p)->defined &fds_bits && &fds_bits[($n)/defined &NFDBITS && &NFDBITS] |= (1 << (($n) % defined &NFDBITS && &NFDBITS)))";
	}';
	eval 'sub FD_CLR {
	    local($n, $p) = @_;
	    eval "(($p)->defined &fds_bits && &fds_bits[($n)/defined &NFDBITS && &NFDBITS] &= ~(1 << (($n) % defined &NFDBITS && &NFDBITS)))";
	}';
	eval 'sub FD_ISSET {
	    local($n, $p) = @_;
	    eval "(($p)->defined &fds_bits && &fds_bits[($n)/defined &NFDBITS && &NFDBITS] & (1 << (($n) % defined &NFDBITS && &NFDBITS)))";
	}';
	eval 'sub FD_COPY {
	    local($f, $t) = @_;
	    eval " &bcopy($f, $t, $sizeof{*($f}))";
	}';
	eval 'sub FD_ZERO {
	    local($p) = @_;
	    eval " &bzero($p, $sizeof{*($p}))";
	}';
	if ( defined( &__STDC__) && defined( &KERNEL)) {
	}
    }
}
1;
