#!/usr/bin/perl
#
$WEBDIR = "/usr/local/www";
$CGIDIR = "$WEBDIR/cgi-bin";
$TMPLDIR= "/usr/local/monitor/templates";

push(@INC, "$CGIDIR");
require 'mon-lib.pl';
require 'info-lib.pl';
require 'sysctl-lib.pl';

&ReadInput(*INPUT);
&ParseData(*GLOBAL, $INPUT);
&GetIpsInfo();
&GetTypeSpecific();

&ParseSysctl("ips.system.stats");

&PrintIPSHeader || return;
&Form();
#&PrintButtonBar("TRAILER");
&PrintToe;

sub	PrintIPSHeader {

    $hostname = &IpswitchName();

    if ($IPSDEVTYPE eq "controller") { 
#	&PrintButtonBar("HEADER", "Flow Statistics on $hostname"); 
        &DispHelp;
    } elsif ($IPSDEVTYPE eq "gateway") {
#	&PrintButtonBar("HEADER", "No Flow View Available on $hostname"); 
#	&PrintButtonBar("TRAILER");
        &DispHelp;
        &PrintToe;
	return 0;
    } else {
#	&PrintButtonBar("HEADER", "Flow Statistics on $hostname");
        &DispHelp;
    }
    return 1;
}

sub PrintToe {
    &SetUpHelp;
        &PrintHeadToe("TRAILER",
                      "", 
                      "",
                      "",
                      "/cgi-bin/flow_messages.pl?IH=$nhelp",
                      "");
}

sub DispHelp {
    &SetUpHelp;
        &PrintHeadToe("HEADER",
                      "Flow Statistics on $hostname", 
                      "",
                      "",
                      "/cgi-bin/flow_messages.pl?IH=$nhelp",
                      "");
    if ($ihelp eq "on") {
        print "<img src=\"/images/config/helpbar.gif\"><br>";
    print "<font -= 4><br>"; 
    open(FD, "/usr/local/config/help/monitor.msgStats.html");
    while (<FD>) {
	print;    
    }             
    close(FD);    
    print "<font += 4>";
        print "<img src=\"/images/config/bar.gif\"><br>";
    }
}

sub Form {
	local($tmpl) = "$TMPLDIR/flow_messages.tmpl";
	local($s);
	local($_);

	if(!open(READTMPL, $tmpl))
		{ &PrintMsgHdr("Can't open $tmpl: $!"); return 1; }
	while (<READTMPL>) {
		if (/@(\S*)@/)
			{ $_= &MapTempVal($1,$_,$countNum); }
		print "$_";
	}
	close(READTMPL);
}

sub MapTempVal {
local($mSub,$line,$index) = @_; 
local($s) = &$mSub($index);

	$line =~ s/@$mSub@/$s/; return $line; 
}

sub GetIfmpSendTotal
	{ return ($ips_data{"ips.system.stats.ifmp.send.messages"}); }
sub GetIfmpRcvTotal
	{ return ($ips_data{"ips.system.stats.ifmp.receive.messages"}); }
sub GetIfmpSendRedirect
	{ return ($ips_data{"ips.system.stats.ifmp.send.redirect"}); }
sub GetIfmpRcvRedirect
	{ return ($ips_data{"ips.system.stats.ifmp.receive.redirect"}); }
sub GetIfmpSendResync
	{ return ($ips_data{"ips.system.stats.ifmp.send.resync"}); }
sub GetIfmpRcvResync
	{ return ($ips_data{"ips.system.stats.ifmp.receive.resync"}); }
sub GetIfmpSendReclaim
	{ return ($ips_data{"ips.system.stats.ifmp.send.reclaim"}); }
sub GetIfmpRcvReclaim
	{ return ($ips_data{"ips.system.stats.ifmp.receive.reclaim"}); }
sub GetIfmpSendLabelRange
	{ return ($ips_data{"ips.system.stats.ifmp.send.label_range"}); }
sub GetIfmpRcvLabelRange
	{ return ($ips_data{"ips.system.stats.ifmp.receive.label_range"}); }
sub GetIfmpSendReclaimAck
	{ return ($ips_data{"ips.system.stats.ifmp.send.reclaim_ack"}); }
sub GetIfmpRcvReclaimAck
	{ return ($ips_data{"ips.system.stats.ifmp.receive.reclaim_ack"}); }
sub GetIfmpSendError
	{ return ($ips_data{"ips.system.stats.ifmp.send.error"}); }
sub GetIfmpSendError
	{ return ($ips_data{"ips.system.stats.ifmp.receive.error"}); }

sub GetGsmpSendTotal
	{ return ($ips_data{"ips.system.stats.gsmp.send_messages"}); }
sub GetRcvGsmpTotal
	{ return ($ips_data{"ips.system.stats.gsmp.receive_messages"}); }
sub GetGsmpFailed
	{ return ($ips_data{"ips.system.stats.gsmp.failed"}); }
sub GetGsmpTimeout
	{ return ($ips_data{"ips.system.stats.gsmp.timeout"}); }
sub GetGsmpResync
	{ return ($ips_data{"ips.system.stats.gsmp.resync"}); }
